org.apache.maven.plugin.descriptor

## Class PluginDescriptorBuilder

- java.lang.Object
- - org.apache.maven.plugin.descriptor.PluginDescriptorBuilder

    public class PluginDescriptorBuilder
    extends java.lang.Object

Version:
  $Id: PluginDescriptorBuilder.java 640545 2008-03-24 19:50:56Z bentmann $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`PluginDescriptorBuilder()`

### Method Summary

Methods
`PluginDescriptor` `build(java.io.Reader reader)`
`PluginDescriptor` `build(java.io.Reader reader, java.lang.String source)`
`MojoDescriptor` `buildComponentDescriptor(PlexusConfiguration c, PluginDescriptor pluginDescriptor)`
`PlexusConfiguration` `buildConfiguration(java.io.Reader configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginDescriptorBuilder

    public PluginDescriptorBuilder()

### Method Detail

#### build

    public PluginDescriptor build(java.io.Reader reader)
                           throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### build

    public PluginDescriptor build(java.io.Reader reader,
                         java.lang.String source)
                           throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentDescriptor

    public MojoDescriptor buildComponentDescriptor(PlexusConfiguration c,
                                          PluginDescriptor pluginDescriptor)
                                            throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildConfiguration

    public PlexusConfiguration buildConfiguration(java.io.Reader configuration)
                                           throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`